summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJory Pratt <anarchy@gentoo.org>2006-06-01 21:56:31 +0000
committerJory Pratt <anarchy@gentoo.org>2006-06-01 21:56:31 +0000
commita49e2c9bf363f8617c3e10544517886f6728548f (patch)
tree882dc9479b624c7622416298eb1211b6cd6bb806 /eclass/mozcoreconf.eclass
parentpurge security vulnerable versions (diff)
downloadgentoo-2-a49e2c9bf363f8617c3e10544517886f6728548f.tar.gz
gentoo-2-a49e2c9bf363f8617c3e10544517886f6728548f.tar.bz2
gentoo-2-a49e2c9bf363f8617c3e10544517886f6728548f.zip
xulrunner support
Diffstat (limited to 'eclass/mozcoreconf.eclass')
-rw-r--r--eclass/mozcoreconf.eclass6
1 files changed, 5 insertions, 1 deletions
diff --git a/eclass/mozcoreconf.eclass b/eclass/mozcoreconf.eclass
index 727025ada135..09ea670092d8 100644
--- a/eclass/mozcoreconf.eclass
+++ b/eclass/mozcoreconf.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mozcoreconf.eclass,v 1.7 2006/03/25 16:42:04 anarchy Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mozcoreconf.eclass,v 1.8 2006/06/01 21:56:31 anarchy Exp $
#
# mozcoreconf.eclass : core options for mozilla
# inherit mozconfig-2 if you need USE flags
@@ -31,6 +31,7 @@ mozconfig_init() {
declare TB=$([[ ${PN} == *thunderbird ]] && echo true || echo false)
declare SB=$([[ ${PN} == *sunbird ]] && echo true || echo false)
declare EM=$([[ ${PN} == enigmail ]] && echo true || echo false)
+ declare XUL=$([[ ${PN} == *xulrunner ]] && echo true || echo false)
declare SM=$([[ ${PN} == seamonkey ]] && echo true || echo false)
####################################
@@ -53,6 +54,9 @@ mozconfig_init() {
enigmail)
cp mail/config/mozconfig .mozconfig \
|| die "cp mail/config/mozconfig failed" ;;
+ *xulrunner)
+ cp xulrunner/config/mozconfig .mozconfig \
+ || die "cp xulrunner/config/mozconfig failed" ;;
*sunbird)
cp calendar/sunbird/config/mozconfig .mozconfig \
|| die "cp calendar/sunbird/config/mozconfig failed" ;;